Starting the Installer
Prev | Chapter 4. Installing the NVIDIA Driver | Next

## Starting the Installer

After you have downloaded the file `NVIDIA-Linux-x86-173.14.38-pkg#.run`, change to the directory containing the downloaded file, and as the `root` user run the executable:

        # cd yourdirectory
        # sh NVIDIA-Linux-x86-173.14.38-pkg#.run

The `.run` file is a self-extracting archive. When executed, it extracts the contents of the archive and runs the contained `nvidia-installer` utility, which provides an interactive interface to walk you through the installation.

`nvidia-installer` will also install itself to `/usr/bin/nvidia-installer`, which may be used at some later time to uninstall drivers, auto-download updated drivers, etc. The use of this utility is detailed later in this chapter.

You may also supply command line options to the `.run` file. Some of the more common options are listed below.

Common `.run` Options

`--info`

  Print embedded info about the `.run` file and exit.

`--check`

  Check integrity of the archive and exit.

`--extract-only`

  Extract the contents of `./NVIDIA-Linux-x86-173.14.38.run`, but do not run `nvidia-installer`.

`--help`

  Print usage information for the common commandline options and exit.

`--advanced-options`

  Print usage information for common command line options as well as the advanced options, and then exit.

Prev | Up | Next
Chapter 4. Installing the NVIDIA Driver | Home | Installing the Kernel Interface